pushd ..\

if not exist FDO\Fdo.dll.preUpdate1b (
echo "The update was not previously installed"
goto end
)

if exist FDO\Fdo.dll.preUpdate1b (
del FDO\Fdo.dll  
rename FDO\Fdo.dll.preUpdate1b Fdo.dll
)

if exist FDO\FdoATILSession.dll.preUpdate1b (
del FDO\FdoATILSession.dll  
rename FDO\FdoATILSession.dll.preUpdate1b FdoATILSession.dll
)

if exist FDO\FDOCommon.dll.preUpdate1b (
del FDO\FDOCommon.dll  
rename FDO\FDOCommon.dll.preUpdate1b FDOCommon.dll
)

if exist FDO\FDOGeometry.dll.preUpdate1b (
del FDO\FDOGeometry.dll  
rename FDO\FDOGeometry.dll.preUpdate1b FDOGeometry.dll
)

if exist FDO\FdoRdbms.dll.preUpdate1b (
del FDO\FdoRdbms.dll  
rename FDO\FdoRdbms.dll.preUpdate1b FdoRdbms.dll
)

if exist FDO\FDORFP.dll.preUpdate1b (
del FDO\FDORFP.dll  
rename FDO\FDORFP.dll.preUpdate1b FDORFP.dll
)

if exist FDO\SHPProvider.dll.preUpdate1b (
del FDO\SHPProvider.dll  
rename FDO\SHPProvider.dll.preUpdate1b SHPProvider.dll
)

if exist Autodesk.Gis.CoordinateSystems.dll.preUpdate1b (
del Autodesk.Gis.CoordinateSystems.dll  
rename Autodesk.Gis.CoordinateSystems.dll.preUpdate1b Autodesk.Gis.CoordinateSystems.dll
)

if exist Autodesk.Gis.StylePreview.dll.preUpdate1b (
del Autodesk.Gis.StylePreview.dll  
rename Autodesk.Gis.StylePreview.dll.preUpdate1b Autodesk.Gis.StylePreview.dll
)

if exist Autodesk.Gis.UI.StyleEditor.dll.preUpdate1b (
del Autodesk.Gis.UI.StyleEditor.dll  
rename Autodesk.Gis.UI.StyleEditor.dll.preUpdate1b Autodesk.Gis.UI.StyleEditor.dll
)

if exist Autodesk.Gis.Utility.dll.preUpdate1b (
del Autodesk.Gis.Utility.dll  
rename Autodesk.Gis.Utility.dll.preUpdate1b Autodesk.Gis.Utility.dll
)

if exist Autodesk.MapGuide.Studio.Dwg.Load.dll.preUpdate1b (
del Autodesk.MapGuide.Studio.Dwg.Load.dll  
rename Autodesk.MapGuide.Studio.Dwg.Load.dll.preUpdate1b Autodesk.MapGuide.Studio.Dwg.Load.dll
)

if exist Autodesk.MapGuide.Studio.Dwg.Load.Serializer.dll.preUpdate1b (
del Autodesk.MapGuide.Studio.Dwg.Load.Serializer.dll  
rename Autodesk.MapGuide.Studio.Dwg.Load.Serializer.dll.preUpdate1b Autodesk.MapGuide.Studio.Dwg.Load.Serializer.dll
)

if exist Autodesk.MapGuide.Studio.Dwg.UI.dll.preUpdate1b (
del Autodesk.MapGuide.Studio.Dwg.UI.dll  
rename Autodesk.MapGuide.Studio.Dwg.UI.dll.preUpdate1b Autodesk.MapGuide.Studio.Dwg.UI.dll
)

if exist Autodesk.MapGuide.Studio.Fdo.dll.preUpdate1b (
del Autodesk.MapGuide.Studio.Fdo.dll  
rename Autodesk.MapGuide.Studio.Fdo.dll.preUpdate1b Autodesk.MapGuide.Studio.Fdo.dll
)

if exist Autodesk.MapGuide.Studio.Feature.dll.preUpdate1b (
del Autodesk.MapGuide.Studio.Feature.dll  
rename Autodesk.MapGuide.Studio.Feature.dll.preUpdate1b Autodesk.MapGuide.Studio.Feature.dll
)

if exist Autodesk.MapGuide.Studio.ImageEngine.dll.preUpdate1b (
del Autodesk.MapGuide.Studio.ImageEngine.dll  
rename Autodesk.MapGuide.Studio.ImageEngine.dll.preUpdate1b Autodesk.MapGuide.Studio.ImageEngine.dll
)

if exist Autodesk.MapGuide.Studio.Load.dll.preUpdate1b (
del Autodesk.MapGuide.Studio.Load.dll  
rename Autodesk.MapGuide.Studio.Load.dll.preUpdate1b Autodesk.MapGuide.Studio.Load.dll
)

if exist Autodesk.MapGuide.Studio.Load.Serializer.dll.preUpdate1b (
del Autodesk.MapGuide.Studio.Load.Serializer.dll  
rename Autodesk.MapGuide.Studio.Load.Serializer.dll.preUpdate1b Autodesk.MapGuide.Studio.Load.Serializer.dll
)

if exist Autodesk.MapGuide.Studio.Locale.dll.preUpdate1b (
del Autodesk.MapGuide.Studio.Locale.dll  
rename Autodesk.MapGuide.Studio.Locale.dll.preUpdate1b Autodesk.MapGuide.Studio.Locale.dll
)

if exist Autodesk.MapGuide.Studio.Site.dll.preUpdate1b (
del Autodesk.MapGuide.Studio.Site.dll  
rename Autodesk.MapGuide.Studio.Site.dll.preUpdate1b Autodesk.MapGuide.Studio.Site.dll
)

if exist Autodesk.MapGuide.Studio.Site.UI.dll.preUpdate1b (
del Autodesk.MapGuide.Studio.Site.UI.dll  
rename Autodesk.MapGuide.Studio.Site.UI.dll.preUpdate1b Autodesk.MapGuide.Studio.Site.UI.dll
)

if exist Autodesk.MapGuide.Studio.UI.dll.preUpdate1b (
del Autodesk.MapGuide.Studio.UI.dll  
rename Autodesk.MapGuide.Studio.UI.dll.preUpdate1b Autodesk.MapGuide.Studio.UI.dll
)

if exist Autodesk.MapGuide.Studio.UIContext.dll.preUpdate1b (
del Autodesk.MapGuide.Studio.UIContext.dll  
rename Autodesk.MapGuide.Studio.UIContext.dll.preUpdate1b Autodesk.MapGuide.Studio.UIContext.dll
)

if exist MgFoundation.dll.preUpdate1b (
del MgFoundation.dll  
rename MgFoundation.dll.preUpdate1b MgFoundation.dll
)

if exist Studio.exe.preUpdate1b (
del Studio.exe  
rename Studio.exe.preUpdate1b Studio.exe
)


:end
popd